Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.template
Class Parser

    java.lang.Object
      org.eclipse.birt.core.template.Parser

All Implemented Interfaces:
  ParserConstants, ParserTreeConstants

    public class Parser

extends java.lang.Object
implements ParserTreeConstants, ParserConstants

Field Summary
`Token` | `jj_nt`
`protected org.eclipse.birt.core.template.JJTParserState` | `jjtree`
`boolean` | `lookingAhead`
`Token` | `token`
`ParserTokenManager` | `token_source`

Fields inherited from interface org.eclipse.birt.core.template.ParserTreeConstants
`JJTATTRIBUTE, JJTEBODY_CONTENT, JJTIMAGE, jjtNodeName, JJTTEMPLATE, JJTTEXT, JJTVALUEOF`

Fields inherited from interface org.eclipse.birt.core.template.ParserConstants
`A_EQ, A_NAME, ALPHA, ALPHANUM, ATTLIST, ATTRVAL, CDATA, DEFAULT, ELEMENTC, END_IMAGE, END_VALUEOF, EOF, NUM, START_IMAGE, START_VALUEOF, TAGC, TEXT, tokenImage`

Constructor Summary
`Parser()`
`Parser(java.io.InputStream stream)`
`Parser(java.io.InputStream stream, java.lang.String encoding)`
`Parser(ParserTokenManager tm)`
`Parser(java.io.Reader stream)`

Method Summary
`void` | `Attribute()`
`void` | `disable_tracing()`
`void` | `Ebody_content()`
`void` | `enable_tracing()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`void` | `Image()`
`ASTTemplate` | `parse(java.io.Reader reader)`
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(java.io.InputStream stream, java.lang.String encoding)`
`void` | `ReInit(ParserTokenManager tm)`
`void` | `ReInit(java.io.Reader stream)`
`void` | `Template()`
`void` | `Text()`
`void` | `ValueOf()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jjtree

    protected org.eclipse.birt.core.template.JJTParserState jjtree

### token_source

    public ParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### Parser

    public Parser()

### Parser

    public Parser(java.io.InputStream stream)

### Parser

    public Parser(java.io.InputStream stream,
                  java.lang.String encoding)

### Parser

    public Parser(java.io.Reader stream)

### Parser

    public Parser(ParserTokenManager tm)

Method Detail

### parse

    public ASTTemplate parse(java.io.Reader reader)
                      throws ParseException

  Throws:
    `ParseException`

### Attribute

    public final void Attribute()
                         throws ParseException

  Throws:
    `ParseException`

### Ebody_content

    public final void Ebody_content()
                             throws ParseException

  Throws:
    `ParseException`

### Image

    public final void Image()
                     throws ParseException

  Throws:
    `ParseException`

### ValueOf

    public final void ValueOf()
                       throws ParseException

  Throws:
    `ParseException`

### Text

    public final void Text()
                    throws ParseException

  Throws:
    `ParseException`

### Template

    public final void Template()
                        throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.InputStream stream,
                       java.lang.String encoding)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(ParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.